require( "scripts/style.lua" )

TableInfoFont = {
  standardFont,
  16,
  BlackColor
};

vHSButtonGraphics=
{
	"buttons/btn_a_normal.png",
	"buttons/btn_a_down.png",
	"buttons/btn_a_over.png",
}

vHSButtonFontStyle = { standardFont, 16, BlackColor };

MakeDialog
{
	Bitmap
	{ 
		image="backgrounds/dialog",	
		x=kCenter,
		y=kCenter,

		Text
		{
			font = TableInfoFont,
			name = "info",
			x=50,y=70,w=350 ,h=kMax,
			flags = kHAlignLeft+ kVAlignTop,
			label = "highscorecompleteinfo"
		};
		
		SetStyle( ButtonStyle ),
		Button{
			x=190,
			y=280,
			graphics= vHSButtonGraphics,
			font	= vHSButtonFontStyle,
			name="hiscoreinfook",
			label="ok",
			type = kPush,
			close=true
		};
		
		MenuButton
		{
			x=77, y=238,
			w=100,
			name="privacy_link",
			LinkLabel("privacy_policy"),
			type = kPush,
			command = 
				function()
					LaunchPrivacyPolicy();
				end
		},
		
		-- not used
		
		Button
		{
			x=0,
			y=0,
			w=0,
			h=0,
			graphics={},
			name="privacypolicy",
			command = 
				function()
					LaunchPrivacyPolicy();
				end
		};
	}
}



